"""
    File:  changeDirectory.py
    Description:  Simple program to demonstrate the os module function
    "chdir" which changes the current working directory.
    The program prints the contents of the initial directory and any subdirectory
    one-level under it.
"""
import os.path
import os

def main():
    print("The contents of the INITIAL directory is:")
    directoryList = os.listdir('.')  # '.' indicates the current directory
    for dirItem in directoryList:
        if os.path.isdir(dirItem):
            print("DIRECTORY:",dirItem)
        else:
            print("FILE:", dirItem)

    for dirItem in directoryList:
        if os.path.isdir(dirItem):
            os.chdir(dirItem)   # Go into subdirectory
            displayCurrentWorkingDirectory()
            os.chdir('..')      # Go up into initial directory
                                # '..' indicates the parent directory
    


def displayCurrentWorkingDirectory():
    """ Display contents of the current directory """
    print("\n*****************************************************")
    print("The current working directory is:",os.getcwd())
    print("The contents of the current working directory is:")
    directoryList = os.listdir('.')  # '.' indicates the current directory
    for dirItem in directoryList:
        print(dirItem)
    print()



main()
